{% load staticfiles %}
{% load extra_filters %}

<nav class="navbar navbar-inverse">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                    data-target="#bs-example-navbar-collapse-2">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="{% url 'base:home' %}">Finem Imperii</a>
        </div>

        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-2">
            <ul class="nav navbar-nav">

                {% if user.is_authenticated %}

                    {% if request.hero %}
                        <li class="active">
                            <a href="{{ request.hero.activation_url }}" class="active">
                                {{ request.hero.get_html_name|safe }}
                            </a>
                        </li>
                    {% endif %}

                    <li class="dropdown">
                        <a href="{% url 'account:home' %}" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                            {% if request.hero %}Switch{% else %}Choose character{% endif %}
                            <span class="caret"></span>
                        </a>

                        <ul class="dropdown-menu" role="menu">
                            {% for character in user.character_set.all %}
                                {% if not character.paused %}
                                    <li><a href="{{ character.activation_url }}">
                                        {{ character.get_html_name|safe }}
                                    </a></li>
                                {% endif %}
                            {% endfor %}
                        </ul>

                    </li>

                    {% if request.hero %}
                        <li><p class="navbar-text">
                            {{ request.hero.hours_in_turn_left }}
                            hours left
                        </p></li>

                        <li class="{% if request.hero.unread_messages.exists %}active{% endif %}">
                            <a href="{% url 'messaging:home' %}" class="{% if request.hero.unread_messages.exists %}active{% endif %}">
                                Messages
                                {% if request.hero.unread_messages.exists %}
                                    <span class="badge">
                                        <span class="glyphicon glyphicon-envelope" aria-hidden="true"></span>
                                        {{ request.hero.unread_messages.count }}
                                    </span>
                                {% endif %}
                            </a>
                        </li>

                        <li>
                            <a href="{% url 'messaging:compose' %}">
                            <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
                            </a>
                        </li>

                    {% endif %}

                {%  else %}

                    <li><a href="{% url 'account:register' %}">Join</a></li>
                    <li><a href="{% url 'help:about' %}">About</a></li>

                {% endif %}

            </ul>
            <ul class="nav navbar-nav navbar-right">
                {% if user.is_staff %}
                    <li class="dropdown">
                        <a href="/admin" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                            Admin
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="/admin">Django admin</a></li>
                        </ul>
                    </li>
                {% endif %}
                <li>
                    <a href="#" class="js-gitter-toggle-chat-button">Chat</a>
                </li>
                <li><a href="{% url 'help:home' %}">Game Manual</a></li>
                {% if user.is_authenticated %}
                    <li><a href="{% url 'account:logout' %}">Logout ({{ user }})</a></li>
                {%  else %}
                    <li><a href="{% url 'account:login' %}">Login</a></li>
                {% endif %}
            </ul>
        </div>
    </div>
</nav>
